document.addEventListener('DOMContentLoaded', () => {
  // Rain animation
  const createRainDrop = () => {
    const drop = document.createElement('div');
    drop.className = 'rain-drop';
    drop.style.left = `${Math.random() * 100}%`;
    drop.style.animationDuration = `${Math.random() * 1 + 0.5}s`;
    drop.style.opacity = Math.random();
    return drop;
  };

  const rainContainer = document.querySelector('.rain-overlay');
  
  setInterval(() => {
    const drop = createRainDrop();
    rainContainer.appendChild(drop);
    setTimeout(() => {
      drop.remove();
    }, 2000);
  }, 50);

  // Smooth scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form handling
  const form = document.querySelector('.contact-form');
  form.addEventListener('submit', (e) => {
    e.preventDefault();
    // Add form handling logic here
  });
});